Page MenuHomePhabricator

efl_ui_table: correctly delete all items when clearing / unpacking
ClosedPublic

Authored by bu5hm4n on Apr 4 2019, 5:27 AM.

Details

Summary

otherwise we do not clear the internals, and fail to get the count to 0.

Depends on D8554

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.Apr 4 2019, 5:27 AM
bu5hm4n requested review of this revision.Apr 4 2019, 5:27 AM
YOhoho added inline comments.Apr 15 2019, 10:17 PM
src/lib/elementary/efl_ui_table.c
491

you need to remove EINA_UNUSED

495

please insert 1 space after while.

504

you need to remove EINA_UNUSED

508

please insert 1 space after while.

bu5hm4n updated this revision to Diff 21390.Apr 17 2019, 12:03 AM
bu5hm4n edited the summary of this revision. (Show Details)

review comments resolved.

bu5hm4n marked 4 inline comments as done.Apr 17 2019, 12:03 AM
YOhoho accepted this revision.Apr 17 2019, 12:09 AM
This revision is now accepted and ready to land.Apr 17 2019, 12:09 AM
Closed by commit rEFLf7baa89ca9e9: efl_ui_table: correctly delete all items when clearing / unpacking (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyApr 17 2019, 6:22 AM
This revision was automatically updated to reflect the committed changes.